pidgin: theme.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs
theme.h File Reference

Purple Theme Abstact Class API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "imgstore.h"`

Go to the source code of this file.

## Data Structures
struct | _PurpleTheme
struct | _PurpleThemeClass

## Macros
#define | PURPLE_TYPE_THEME (purple_theme_get_type ())
#define | PURPLE_THEME(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PURPLE_TYPE_THEME, PurpleTheme))
#define | PURPLE_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PURPLE_TYPE_THEME, PurpleThemeClass))
#define | PURPLE_IS_THEME(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PURPLE_TYPE_THEME))
#define | PURPLE_IS_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PURPLE_TYPE_THEME))
#define | PURPLE_THEME_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PURPLE_TYPE_THEME, PurpleThemeClass))

## Typedefs
typedef struct _PurpleTheme | PurpleTheme
| A purple theme.
typedef struct _PurpleThemeClass | PurpleThemeClass

## Functions
Purple Theme API <br>
G_BEGIN_DECLS GType | purple_theme_get_type (void)
| GObject foo.
const gchar * | purple_theme_get_name (PurpleTheme *theme)
| Returns the name of the PurpleTheme object.
void | purple_theme_set_name (PurpleTheme *theme, const gchar *name)
| Sets the name of the PurpleTheme object.
const gchar * | purple_theme_get_description (PurpleTheme *theme)
| Returns the description of the PurpleTheme object.
void | purple_theme_set_description (PurpleTheme *theme, const gchar *description)
| Sets the description of the PurpleTheme object.
const gchar * | purple_theme_get_author (PurpleTheme *theme)
| Returns the author of the PurpleTheme object.
void | purple_theme_set_author (PurpleTheme *theme, const gchar *author)
| Sets the author of the PurpleTheme object.
const gchar * | purple_theme_get_type_string (PurpleTheme *theme)
| Returns the type (string) of the PurpleTheme object.
const gchar * | purple_theme_get_dir (PurpleTheme *theme)
| Returns the directory of the PurpleTheme object.
void | purple_theme_set_dir (PurpleTheme *theme, const gchar *dir)
| Sets the directory of the PurpleTheme object.
const gchar * | purple_theme_get_image (PurpleTheme *theme)
| Returns the image preview of the PurpleTheme object.
gchar * | purple_theme_get_image_full (PurpleTheme *theme)
| Returns the image preview and directory of the PurpleTheme object.
void | purple_theme_set_image (PurpleTheme *theme, const gchar *img)
| Sets the directory of the PurpleTheme object.

## Detailed Description

Purple Theme Abstact Class API.

Definition in file theme.h.

## Macro Definition Documentation

## ◆ PURPLE_IS_THEME

#define PURPLE_IS_THEME | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PURPLE_TYPE_THEME))

Definition at line 45 of file theme.h.

## ◆ PURPLE_IS_THEME_CLASS

#define PURPLE_IS_THEME_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_TYPE ((klass), PURPLE_TYPE_THEME))

Definition at line 46 of file theme.h.

## ◆ PURPLE_THEME

#define PURPLE_THEME | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_CAST ((obj), PURPLE_TYPE_THEME, PurpleTheme))

Definition at line 43 of file theme.h.

## ◆ PURPLE_THEME_CLASS

#define PURPLE_THEME_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_CAST ((klass), PURPLE_TYPE_THEME, PurpleThemeClass))

Definition at line 44 of file theme.h.

## ◆ PURPLE_THEME_GET_CLASS

#define PURPLE_THEME_GET_CLASS | ( |  | obj | ) | (G_TYPE_INSTANCE_GET_CLASS ((obj), PURPLE_TYPE_THEME, PurpleThemeClass))

Definition at line 47 of file theme.h.

## ◆ PURPLE_TYPE_THEME

#define PURPLE_TYPE_THEME (purple_theme_get_type ())

Definition at line 42 of file theme.h.

## Typedef Documentation

## ◆ PurpleTheme

typedef struct _PurpleTheme PurpleTheme

A purple theme.

This is an abstract class for Purple to use with the Purple theme manager.

PurpleTheme is a GObject.

Definition at line 39 of file theme.h.

## ◆ PurpleThemeClass

typedef struct _PurpleThemeClass PurpleThemeClass

Definition at line 40 of file theme.h.

## Function Documentation

## ◆ purple_theme_get_author()

const gchar * purple_theme_get_author | ( | PurpleTheme * | theme | ) |

Returns the author of the PurpleTheme object.

Parameters

  theme | The purple theme.

Returns
  The author of the theme.

## ◆ purple_theme_get_description()

const gchar * purple_theme_get_description | ( | PurpleTheme * | theme | ) |

Returns the description of the PurpleTheme object.

Parameters

  theme | The purple theme.

Returns
  A short description of the theme.

## ◆ purple_theme_get_dir()

const gchar * purple_theme_get_dir | ( | PurpleTheme * | theme | ) |

Returns the directory of the PurpleTheme object.

Parameters

  theme | The purple theme.

Returns
  The string representing the theme directory.

## ◆ purple_theme_get_image()

const gchar * purple_theme_get_image | ( | PurpleTheme * | theme | ) |

Returns the image preview of the PurpleTheme object.

Parameters

  theme | The purple theme.

Returns
  The image preview of the PurpleTheme object.

## ◆ purple_theme_get_image_full()

gchar * purple_theme_get_image_full | ( | PurpleTheme * | theme | ) |

Returns the image preview and directory of the PurpleTheme object.

Parameters

  theme | The purple theme.

Returns
  The image preview of the PurpleTheme object.

## ◆ purple_theme_get_name()

const gchar * purple_theme_get_name | ( | PurpleTheme * | theme | ) |

Returns the name of the PurpleTheme object.

Parameters

  theme | The purple theme.

Returns
  The string representing the name of the theme.

## ◆ purple_theme_get_type_string()

const gchar * purple_theme_get_type_string | ( | PurpleTheme * | theme | ) |

Returns the type (string) of the PurpleTheme object.

Parameters

  theme | The purple theme.

Returns
  The string representing the type.

## ◆ purple_theme_set_author()

void purple_theme_set_author | ( | PurpleTheme * | theme,
|  | const gchar * | author
| ) |  |

Sets the author of the PurpleTheme object.

Parameters

  theme | The purple theme.
  author | The author of the PurpleTheme object.

## ◆ purple_theme_set_description()

void purple_theme_set_description | ( | PurpleTheme * | theme,
|  | const gchar * | description
| ) |  |

Sets the description of the PurpleTheme object.

Parameters

  theme | The purple theme.
  description | The description of the PurpleTheme object.

## ◆ purple_theme_set_dir()

void purple_theme_set_dir | ( | PurpleTheme * | theme,
|  | const gchar * | dir
| ) |  |

Sets the directory of the PurpleTheme object.

Parameters

  theme | The purple theme.
  dir | The directory of the PurpleTheme object.

## ◆ purple_theme_set_image()

void purple_theme_set_image | ( | PurpleTheme * | theme,
|  | const gchar * | img
| ) |  |

Sets the directory of the PurpleTheme object.

Parameters

  theme | The purple theme.
  img | The image preview of the PurpleTheme object.

## ◆ purple_theme_set_name()

void purple_theme_set_name | ( | PurpleTheme * | theme,
|  | const gchar * | name
| ) |  |

Sets the name of the PurpleTheme object.

Parameters

  theme | The purple theme.
  name | The name of the PurpleTheme object.